|docs
Start Trial

Delete a user's status update notification rule

Remove a user's status update notification rule.

Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account.

For more information see the API Concepts Document

Scoped OAuth requires: users.write

Authorization<token>

The API Key with format Token token=<API_KEY>

In: header

Path Parameters

id*string

The ID of the resource.

status_update_notification_rule_id*string

The status update notification rule ID on the user.

Header Parameters

Accept*string

The Accept header is used as a versioning header.

Default"application/vnd.pagerduty+json;version=2"
Content-Type*"application/json"
Default"application/json"

Value in

  • "application/json"

Response Body

application/json

application/json

application/json

application/json

Delete all user sessions DELETE

<!-- theme: warning --> > ### Deprecated > This endpoint is deprecated as OAuth token revocation is now synchronous. Please use the [DELETE /oauth_delegations endpoint](https://developer.pagerduty.com/api-reference/ad1161db75db1-delete-all-o-auth-delegations) instead. Delete all user sessions. Beginning November 2021, user sessions no longer includes newly issued OAuth tokens. If you are interested in deleting mobile app sessions, refer to the Delete OAuth Delegations endpoint. Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users:sessions.write`

Delete a user DELETE

Remove an existing user. Returns 400 if the user has assigned incidents unless your [pricing plan](https://www.pagerduty.com/pricing) has the `offboarding` feature and the account is [configured](https://support.pagerduty.com/docs/offboarding#section-additional-configurations) appropriately. Note that the incidents reassignment process is asynchronous and has no guarantee to complete before the api call return. [*Learn more about `offboarding` feature*](https://support.pagerduty.com/docs/offboarding). Users are members of a PagerDuty account that have the ability to interact with Incidents and other data on the account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#users) Scoped OAuth requires: `users.write`